Loading...
Searching...
No Matches
threadedentityiterator.hh File Reference

Provides an STL-iterator like interface to iterate over the enties of a GridView in OpenMP threaded applications. More...

`#include <mutex>`

Go to the source code of this file.

## Classes

class | Opm::ThreadedEntityIterator< GridView, codim >
| Provides an STL-iterator like interface to iterate over the enties of a GridView in OpenMP threaded applications. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

Provides an STL-iterator like interface to iterate over the enties of a GridView in OpenMP threaded applications.

ATTENTION: This class must be instantiated in a sequential context!